﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Data.SqlClient;
using System.Data.Common;

namespace Bootik
{

    public class DataBase
    {
        public SqlConnection ObjCnn;
        private SqlCommand ObjCmm = new SqlCommand();
        private String CnnStr;
        string str = @"Server=(local); Database=Bootik; Integrated Security=TRUE";

        public DataBase()
        {
            CnnStr = str;
            ObjCnn = new SqlConnection();
            ObjCnn.ConnectionString = CnnStr;
            ObjCmm = new SqlCommand();
            ObjCmm.Connection = ObjCnn;
        }
        /// <summary>
        /// از این متد برای برقراری ارتباط با پایگاه داده ها استفاده میگردد
        /// </summary>
        public void Connect()
        {
            try
            {
                ObjCnn.Open();
            }
            catch
            {
                throw new Exception("ارتباط با پایگاه داده برقرار نشد.");
            }
        }

        /// <summary>
        ///از این متد برای قطع ارتباط با بانک استفاده می گردد 
        /// </summary>
        public void Disconnect()
        {
            try
            {
                ObjCnn.Close();
            }
            catch (Exception e)
            {
                ObjCnn.Dispose();//Releases all resources used by the Component. 
                throw new Exception(e.Message);
            }
        }

        /// <summary>
        /// از این متد برای اجرای دستورات 
        /// insert , delete , update
        /// استفاده میگردد
        /// </summary>
        /// <param name="StrSQL">دریافت دستور اس کیو ال</param>
        public void ExecuteSQL(string StrSQL)
        {
            Connect();
            ObjCmm.CommandText = StrSQL;
            try
            {
                ObjCmm.ExecuteNonQuery();
            }
            catch (Exception n)
            {
                throw new Exception("عملیات درج ثبت نشد.");

            }
            finally
            {
                Disconnect();
            }
        }


        /// <summary>
        /// ولی این متد تنها برای اجرای دستورات 
        ///SELECT
        ///استفاده میگردد
        /// </summary>
        /// <param name="StrSQL">دریافت دستور اس کیو ال</param>
        /// <returns>برگرداندن جدول حاصله</returns>
        public DataTable ExecuteSelectSQL(string StrSQL)
        {
            DataTable DT = new DataTable();
            SqlDataAdapter DA = new SqlDataAdapter();
            DA.SelectCommand = ObjCmm;
            DA.SelectCommand.CommandText = StrSQL;
            try
            {
                Connect();
                DA.SelectCommand.Connection = ObjCnn;
                DA.Fill(DT);
                return DT;
            }

            catch (Exception e)
            {
                throw new Exception(e.Message);
            }
            finally
            {
                Disconnect();
            }
        }

    }
}